unit untOptionForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, StdCtrls, untOption;

type
  TOptionForm = class(TForm)
    PageControl1: TPageControl;
    TabSheet2: TTabSheet;
    GroupBox1: TGroupBox;
    UseReadProxyCheckBox: TCheckBox;
    ReadProxyEdit: TEdit;
    UseWriteProxyCheckBox: TCheckBox;
    WriteProxyEdit: TEdit;
    OKButton: TButton;
    CancelButton: TButton;
    TabSheet1: TTabSheet;
    GroupBox2: TGroupBox;
    IERadioButton: TRadioButton;
    DoeRadioButton: TRadioButton;
    procedure FormCreate(Sender: TObject);
    procedure CancelButtonClick(Sender: TObject);
    procedure OKButtonClick(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
  end;

var
  OptionForm: TOptionForm;

implementation

{$R *.dfm}

procedure TOptionForm.FormCreate(Sender: TObject);
begin

  //
  UseReadProxyCheckBox.Checked  := gReadProxyUse;
  ReadProxyEdit.Text            := gReadProxy;
  UseWriteProxyCheckBox.Checked := gWriteProxyUse;
  WriteProxyEdit.Text           := gWriteProxy;

  if gBrowserType = ubIE then
    IERadioButton.Checked := true
  else
    DoeradioButton.Checked := true;

end;

procedure TOptionForm.CancelButtonClick(Sender: TObject);
begin
  Close;
end;

procedure TOptionForm.OKButtonClick(Sender: TObject);
begin

  gReadProxyUse  := UseReadProxyCheckBox.Checked;
  gReadProxy     := ReadProxyEdit.Text;
  gWriteProxyUse := UseWriteProxyCheckBox.Checked;
  gWriteProxy    := WriteProxyEdit.Text;

  if IERadioButton.Checked then
    gBrowserType := ubIE
  else
    gBrowserType := ubDoe;

  WriteOption();
  Close;

end;

end.
